<script lang="ts">
  import { authTokenParsed, authToken } from '$stores/authStore';
  import { hasApiRole } from '$lib/components/layout/data/nav-tabs';
  import Env from '$lib/Env';
  import { Button } from "flowbite-svelte";
</script>

<div class="text-center mx-2">
  <div class="text-2xl lg:text-4xl">
    <span class="text-[#368DE3] font-bold uppercase">
      {$authTokenParsed?.given_name || ''}
    </span>
    <!-- This break puts the name on different lines on desktop but same line on mobile -->
    <br class="hidden lg:block" />
    <span class="text-[#368DE3] font-bold uppercase break-words">
      {$authTokenParsed?.family_name || ''}
    </span>
  </div>
  <div class="text-md lg:text-xl">
    <p class="text-primary italic">{$authTokenParsed?.email}</p>
    <Button
      data-umami-event="Change my Password"
      color="none"
      class="text-secondary italic p-1 text-md lg:text-xl"
      href="{Env.KeycloakUrl}/realms/{Env.KeycloakRealm}/account/password"
      target="_blank"
    >
      Change my Password
    </Button>
    <br />
    <Button
      data-umami-event="Manage Linked Accounts"
      color="none"
      class="text-secondary italic p-1 text-md lg:text-xl"
      target="_blank"
      href={`${Env.KeycloakUrl}/realms/${Env.KeycloakRealm}/account/identity`}
    >
      Manage Linked Accounts
    </Button>
    {#if hasApiRole($authTokenParsed, 'staff')}
      <br />
      <a
        class="cursor-pointer"
        on:click={() => {
          navigator.clipboard.writeText($authToken || '');
        }}>Copy JWT</a>
    {/if}
  </div>
</div>
